# Ogre::GpuProgramParameters::AutoConstantEntry Class Reference

Structure recording the use of an automatic parameter. More...

`#include <OgreGpuProgram.h>`

List of all members.

## Public Member Functions

| AutoConstantEntry (AutoConstantType theType, size_t theIndex, size_t theData, size_t theElemCount=4)
| AutoConstantEntry (AutoConstantType theType, size_t theIndex, Real theData, size_t theElemCount=4)

## Public Attributes

AutoConstantType | paramType
| The type of parameter.
size_t | physicalIndex
| The target (physical) constant index.
size_t | elementCount
| The number of elements per individual entry in this constant Used in case people used packed elements smaller than 4 (e.g.
union {
size_t data
Real fData
}; |

## Detailed Description

Structure recording the use of an automatic parameter.

Definition at line 754 of file OgreGpuProgram.h.

## Constructor & Destructor Documentation

Ogre::GpuProgramParameters::AutoConstantEntry::AutoConstantEntry | ( | AutoConstantType | theType,
|  | size_t | theIndex,
|  | size_t | theData,
|  | size_t | theElemCount = `4` |
| ) |  |  |

Definition at line 771 of file OgreGpuProgram.h.

Ogre::GpuProgramParameters::AutoConstantEntry::AutoConstantEntry | ( | AutoConstantType | theType,
|  | size_t | theIndex,
|  | Real | theData,
|  | size_t | theElemCount = `4` |
| ) |  |  |

Definition at line 775 of file OgreGpuProgram.h.

## Member Data Documentation

AutoConstantType Ogre::GpuProgramParameters::AutoConstantEntry::paramType

The type of parameter.

Definition at line 758 of file OgreGpuProgram.h.

size_t Ogre::GpuProgramParameters::AutoConstantEntry::physicalIndex

The target (physical) constant index.

Definition at line 760 of file OgreGpuProgram.h.

Referenced by Ogre::Renderable::_updateCustomGpuParameter().

size_t Ogre::GpuProgramParameters::AutoConstantEntry::elementCount

The number of elements per individual entry in this constant Used in case people used packed elements smaller than 4 (e.g.

GLSL) and bind an auto which is 4-element packed to it

Definition at line 764 of file OgreGpuProgram.h.

Referenced by Ogre::Renderable::_updateCustomGpuParameter().

size_t Ogre::GpuProgramParameters::AutoConstantEntry::data

Definition at line 767 of file OgreGpuProgram.h.

Referenced by Ogre::Renderable::_updateCustomGpuParameter().

Real Ogre::GpuProgramParameters::AutoConstantEntry::fData

Definition at line 768 of file OgreGpuProgram.h.

union { ... }

The documentation for this class was generated from the following file:

- OgreGpuProgram.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Dec 27 17:32:12 2009